<?php

include('FioAPI.php');

class ImportFio extends BankImport
{
  function Import()
  {
    $Fio = new FioAPI();
    $Fio->Token = $this->BankAccount['LoginName'];
    if ($this->BankAccount['LastImportDate'] == '') $PeriodStart = time();
      else $PeriodStart = MysqlDateToTime($this->BankAccount['LastImportDate']);
    $PeriodEnd = time();
    $Records = $Fio->Import($PeriodStart, $PeriodEnd);
    $Output = '<table>';
      //$Output .= '<tr>';
      //$Output .= '<td>Jméno účtu: '.$Records['AccountName'].'</td>';
        //$Output .= '<td>Číslo účtu: '.$Records['AccountNumber'].'</td>';
        //$Output .= '<td>Ke dni '.date('j.n.Y', $Records['DateStart']).' je stav účtu '.$Records['OpeningBalance'].' Kč</td>';
        //$Output .= '<td>Ke dni '.date('j.n.Y', $Records['DateEnd']).' je stav účtu '.$Records['ClosingBalance'].' Kč</td>';
        //$Output .= '<td>Suma příjmů: '.$Records['CreditValue'].' Kč</td>';
        //$Output .= '<td>Suma výdajů: '.$Records['DebitValue'].' Kč</td>';
      //$Output .= '</tr>';
    foreach ($Records['Items'] as $Record)
    {
      $DbResult = $this->Database->select('FinanceBankImport', 'ID', 'Identification='.$Record['ID']);
      if ($DbResult->num_rows == 0)
      {
        $Record['Value'] = str_replace(",", ".", $Record['Value']);
        $Output .= '<tr>';
        $this->Database->insert('FinanceBankImport', array('Time' => TimeToMysqlDate($Record['Date']),
          'BankAccount' => $this->BankAccount['Id'], 'Value' => $Record['Value'],
          'SpecificSymbol' => $Record['SpecificSymbol'], 'VariableSymbol' => $Record['VariableSymbol'],
          'ConstantSymbol' => $Record['ConstantSymbol'], 'Currency' => $this->BankAccount['Currency'],
          'Identification' => $Record['ID'], 'AccountNumber' => $Record['OffsetAccount'],
          'BankCode' => $Record['BankCode'], 'Description' => $Record['Type'], 'OffsetAccountName' => $Record['UserIdent']));
        $Output .= '<td>'.$Record['OffsetAccount'].'</td>';
        $Output .= '<td>'.$Record['BankCode'].'</td>';
        $Output .= '<td>'.$Record['UserIdent'].'</td>';
        $Output .= '<td>'.$Record['Value'].'</td>';
        $Output .= '</tr>'."\n";
      }
    }
    $Output .= '</table>';
    $this->Database->update('FinanceBankAccount', 'Id='.$this->BankAccount['Id'],
      array('LastImportDate' => TimeToMysqlDate($PeriodEnd)));
    return $Output;
  }
}
